//Renata Kopecna


#include "RunningScripts.hh"
#include <string.h>
#include <helpers.hh>

#include "ScriptHelpers.hh"

int runWhatever(basic_params pars, basic_actions acts){
    int status = 0;


    for (auto obs: ANG_OBS){
        plotComparison(obs);
        plotComparisonMCFolding(obs);
    }


   // plotComparisonFull();
   // plotComparisonSigmas();
   // foldingTable();
    //return loadAllFiles("S3",pars);
    //return loadAllFiles("Fl",pars);

    //for(auto obs: ANG_OBS) loadAllFiles(obs,pars);
    return 0;



    bool toyEval = true;
    bool loopFolds = pars.folding == 5;
    bool onlySig = isInVec(pars.jobID,{531, 532, 533, 534, 535, 536, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595});
    bool onlyBkg = isInVec(pars.jobID,{546, 547, 548, 549, 550, 551});
    bool sWave = isInVec(pars.jobID,{496, 497, 498, 531, 532, 533, 534, 535, 536, 558, 559, 560, 561, 562, 563, 566, 567, 568, 569, 570, 571, 572, 573, 574, 575, 576, 577, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 620, 621, 622, 623, 624, 625, 626, 627, 628, 629, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 641, 642, 643, 644, 645, 646, 647, 648, 649, 650});
    bool bMass = isInVec(pars.jobID,{496, 497, 498, 572, 573, 574, 575, 576, 577, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 626, 627, 628, 629, 649, 650});
    if(toyEval){
        //bool doPulls = true;
        std::vector<std::string> variables = {};
        std::vector<std::string> names = {};
        if(!onlyBkg){
            variables = merge_two_vecs(variables,ANG_OBS);
            names     = merge_two_vecs(names,ANG_OBS_TLaTeX);
        }
        if(false){
            variables = merge_two_vecs(variables,P_OBS);
            names     = merge_two_vecs(names,P_OBS_TLaTeX);
        }
        if(false){
            variables = merge_two_vecs(variables,MASS_OBS);
            names     = merge_two_vecs(names,MASS_OBS_TLaTeX);
        }
        if(!onlySig){
            variables = merge_two_vecs(variables,BKG_OBS);
            names     = merge_two_vecs(names,BKG_OBS_TLaTeX);
        }
        if (sWave){
            variables = merge_two_vecs(variables,SWAVE);
            names     = merge_two_vecs(names,SWAVE_TLaTeX);
        }
        if (bMass || pars.reference){
            variables = merge_two_vecs(variables,{"m_b"});
            names     = merge_two_vecs(names,{"m_{B^{+}}"});
        }
        if (pars.reference){
            variables = merge_two_vecs(variables,{"m_sigma_1"});
            names     = merge_two_vecs(names,{"\\sigma_{1}"});
        }
        return EvaluateToyStudy(variables, names, pars, loopFolds, true, false, onlySig, onlyBkg) + EvaluateToyStudy(variables, names, pars, loopFolds, false, false, onlySig, onlyBkg);
    }
    return status;
}

